Bug 179188 - New port: textproc/p5-checkbashisms
New port: textproc/p5-checkbashisms
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Sunpoet Po-Chuan Hsieh
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-02 06:00 UTC by nukama
Modified: 2013-10-09 13:40 UTC (History)
0 users

See Also:


Attachments
file.shar (1.93 KB, text/plain)
2013-06-02 06:00 UTC, nukama
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description nukama 2013-06-02 06:00:00 UTC
Debian script that checks for bash-isms

http://packages.qa.debian.org/d/devscripts.html

Fix: Patch attached with submission follows:
How-To-Repeat: https://redports.org/buildarchive/20130602042100-3495/
Comment 1 Edwin Groothuis freebsd_committer 2013-06-02 06:00:24 UTC
Responsible Changed
From-To: freebsd-ports-bugs->perl

perl@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 Sunpoet Po-Chuan Hsieh freebsd_committer 2013-09-09 17:12:03 UTC
Responsible Changed
From-To: perl->sunpoet

I'll take it.
Comment 3 dfilter freebsd_committer 2013-09-09 19:20:04 UTC
Author: sunpoet
Date: Mon Sep  9 18:19:55 2013
New Revision: 326834
URL: http://svnweb.freebsd.org/changeset/ports/326834

Log:
  - Add checkbashisms 2.12.6
  
  Debian script that checks for bashisms
  
  WWW: http://packages.qa.debian.org/d/devscripts.html
  
  PR:		ports/179188
  Submitted by:	Hakisho Nukama <nukama@gmail.com>

Added:
  head/textproc/checkbashisms/
  head/textproc/checkbashisms/Makefile   (contents, props changed)
  head/textproc/checkbashisms/distinfo   (contents, props changed)
  head/textproc/checkbashisms/pkg-descr   (contents, props changed)
Modified:
  head/textproc/Makefile

Modified: head/textproc/Makefile
==============================================================================
--- head/textproc/Makefile	Mon Sep  9 18:19:50 2013	(r326833)
+++ head/textproc/Makefile	Mon Sep  9 18:19:55 2013	(r326834)
@@ -61,6 +61,7 @@
     SUBDIR += cbedic
     SUBDIR += cdif
     SUBDIR += cdiff
+    SUBDIR += checkbashisms
     SUBDIR += chm2pdf
     SUBDIR += chpp
     SUBDIR += cl-meta

Added: head/textproc/checkbashisms/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/textproc/checkbashisms/Makefile	Mon Sep  9 18:19:55 2013	(r326834)
@@ -0,0 +1,30 @@
+# Created by: Hakisho Nukama <nukama@gmail.com>
+# $FreeBSD$
+
+PORTNAME=	checkbashisms
+PORTVERSION=	2.12.6
+CATEGORIES=	textproc perl5
+MASTER_SITES=	http://ftp.debian.org/debian/pool/main/d/devscripts/
+DISTNAME=	devscripts_${PORTVERSION}
+
+MAINTAINER=	nukama+maintainer@gmail.com
+COMMENT=	Debian script that checks for bash-isms
+
+LICENSE=	GPLv2
+
+NO_BUILD=	yes
+USE_PERL5=	run
+USES=		perl5
+WRKSRC=		${WRKDIR}/devscripts-${PORTVERSION}
+
+MAN1=		checkbashisms.1
+PLIST_FILES=	bin/checkbashisms
+
+post-patch:
+	@${REINPLACE_CMD} -e 's|###VERSION###|${PORTVERSION}|' ${WRKSRC}/scripts/checkbashisms.pl
+
+do-install:
+	${INSTALL_SCRIPT} ${WRKSRC}/scripts/checkbashisms.pl ${PREFIX}/bin/checkbashisms
+	${INSTALL_MAN} ${WRKSRC}/scripts/checkbashisms.1 ${MANPREFIX}/man/man1/
+
+.include <bsd.port.mk>

Added: head/textproc/checkbashisms/distinfo
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/textproc/checkbashisms/distinfo	Mon Sep  9 18:19:55 2013	(r326834)
@@ -0,0 +1,2 @@
+SHA256 (devscripts_2.12.6.tar.gz) = eab908dc6809459a62eac4e6d07bda714123fc4cc0b15e275b865c8a49e65f8e
+SIZE (devscripts_2.12.6.tar.gz) = 996395

Added: head/textproc/checkbashisms/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/textproc/checkbashisms/pkg-descr	Mon Sep  9 18:19:55 2013	(r326834)
@@ -0,0 +1,3 @@
+Debian script that checks for bashisms
+
+WWW: http://packages.qa.debian.org/d/devscripts.html
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Sunpoet Po-Chuan Hsieh freebsd_committer 2013-09-09 19:22:43 UTC
State Changed
From-To: open->closed

New port added, with minor changes. Thanks!
Comment 5 dfilter freebsd_committer 2013-10-09 13:34:33 UTC
Author: bdrewery
Date: Wed Oct  9 12:34:24 2013
New Revision: 329891
URL: http://svnweb.freebsd.org/changeset/ports/329891

Log:
  - Move to updated debian version
  - Pass maintainership to submitter
  
  PR:		ports/179188 (based on)
  Submitted by:	Hakisho Nukama <nukama@gmail.com> (based on)

Modified:
  head/devel/checkbashisms/Makefile
  head/devel/checkbashisms/distinfo
  head/devel/checkbashisms/pkg-descr

Modified: head/devel/checkbashisms/Makefile
==============================================================================
--- head/devel/checkbashisms/Makefile	Wed Oct  9 12:33:33 2013	(r329890)
+++ head/devel/checkbashisms/Makefile	Wed Oct  9 12:34:24 2013	(r329891)
@@ -1,36 +1,32 @@
 # $FreeBSD$
 
 PORTNAME=	checkbashisms
-PORTVERSION=	2.0.0.2
+PORTVERSION=	2.12.6
 CATEGORIES=	devel perl5
-MASTER_SITES=	SF/${SF_PROJECT}/${DISTVERSION}
-DISTNAME=	${PORTNAME}
-EXTRACT_SUFX=
+MASTER_SITES=	DEBIAN/pool/main/d/devscripts/
+DISTNAME=	devscripts_${PORTVERSION}
 
-MAINTAINER=	bdrewery@FreeBSD.org
-COMMENT=	Script to check for Bash features not defined by POSIX
+MAINTAINER=	nukama+maintainer@gmail.com
+COMMENT=	Debian script that checks for bash-isms
 
 LICENSE=	GPLv2
 
-SF_PROJECT=	checkbaskisms
-
-USES=		perl5
+USES=		perl5 shebangfix
 USE_PERL5=	run
 NO_BUILD=	yes
-NO_WRKSUBDIR=	yes
-NO_STAGE=	yes
+WRKSRC=		${WRKDIR}/devscripts-${PORTVERSION}
+SHEBANG_FILES=	scripts/checkbashisms.pl
 
-PLIST_FILES=	bin/${DISTNAME}
+PLIST_FILES=	bin/checkbashisms \
+		man/man1/checkbashisms.1.gz
 
-do-extract:
-	@${MKDIR} ${WRKSRC}
-	@${CP} ${DISTDIR}/${DISTNAME} ${WRKSRC}
-
-do-patch:
-	@${REINPLACE_CMD} -e "s| /usr/bin/perl|${PERL}|" \
-		${WRKSRC}/${DISTNAME}
+post-patch:
+	@${REINPLACE_CMD} -e 's|###VERSION###|${PORTVERSION}|' ${WRKSRC}/scripts/checkbashisms.pl
 
 do-install:
-	${INSTALL_SCRIPT} ${WRKSRC}/${DISTNAME} ${PREFIX}/bin/${DISTNAME}
+	${INSTALL_SCRIPT} ${WRKSRC}/scripts/checkbashisms.pl \
+	    ${STAGEDIR}${PREFIX}/bin/checkbashisms
+	${INSTALL_MAN} ${WRKSRC}/scripts/checkbashisms.1 \
+	    ${STAGEDIR}${MANPREFIX}/man/man1/
 
 .include <bsd.port.mk>

Modified: head/devel/checkbashisms/distinfo
==============================================================================
--- head/devel/checkbashisms/distinfo	Wed Oct  9 12:33:33 2013	(r329890)
+++ head/devel/checkbashisms/distinfo	Wed Oct  9 12:34:24 2013	(r329891)
@@ -1,2 +1,2 @@
-SHA256 (checkbashisms) = 4da61b7f08b55609e80c648d215f0201aa9b5f1df53aab6252129537a7f7a0ee
-SIZE (checkbashisms) = 21258
+SHA256 (devscripts_2.12.6.tar.gz) = eab908dc6809459a62eac4e6d07bda714123fc4cc0b15e275b865c8a49e65f8e
+SIZE (devscripts_2.12.6.tar.gz) = 996395

Modified: head/devel/checkbashisms/pkg-descr
==============================================================================
--- head/devel/checkbashisms/pkg-descr	Wed Oct  9 12:33:33 2013	(r329890)
+++ head/devel/checkbashisms/pkg-descr	Wed Oct  9 12:34:24 2013	(r329891)
@@ -1,4 +1,3 @@
-checkbashisms is a perl script that checks for commonly used
-bash features that are not supported by POSIX shells.
+Debian script that checks for bashisms
 
-WWW: http://sourceforge.net/projects/checkbaskisms
+WWW: http://packages.qa.debian.org/d/devscripts.html
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"